;angular.module('Landers.angular')
    .provider('GNotify', function(){
        var provider = this;
        provider.config = {
            startTop: 60,
            // templateUrl: '',
            position: 'right',
        };

        Landers.css.add('.notify-box {min-width: 200px}');
        provider.classes = ['notify-box', 'text-left'];

        this.$get = ['$rootScope', 'notify', function($rootScope, notify) {
            return {
                initConfig: function(opts){
                    notify.config(angular.extend(provider.config, opts || {}));
                },

                show: function(rspn, opts){
                    this.initConfig(opts);

                    // 需要展示错误的消息，加上红色样式
                    var classes = provider.classes.slice(0);
                    if(!rspn.success) {
                        classes.push('alert alert-danger');
                    }
                    rspn.classes = classes.join(' ');

                    notify(rspn);
                }
            };
        }];
    });